package io.zipcoder.interfaces;

import com.sun.org.apache.bcel.internal.generic.INSTANCEOF;

public class ZipcodeWilmington {
    private static final ZipcodeWilmington INSTANCE = new ZipcodeWilmington();
    private static final Students students = Students.getInstance();
    private static final Instructors instructors = Instructors.getInstance();


    public static ZipcodeWilmington getInstance() {
        return INSTANCE;
    }

    private ZipcodeWilmington() {}

    public void hostLecture (Teacher teacher,double numOfHrs){
        Student[] students1 = students.getArray();
        teacher.Lecture(students1,numOfHrs);
    }

    public void hostLecture (long id,double numOfHrs){
        Student[] students1 = students.getArray();
        for (int i = 0; i < instructors.getCount(); i++){
            if (instructors.personList.get(i).getId() == id){
                instructors.personList.get(i).Lecture(students1,numOfHrs);
            }
        }
    }

    public static Students getStudents(){
        return students;
    }

    public static Instructors getInstructors(){
        return instructors;
    }
}
