package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestInstructor {

    Instructor instructor = new Instructor("Nhu", 1);
    Student student = new Student( "Nancy", 1);
    Student student1= new Student( "Ron", 2);
    Student student2= new Student( "Ari", 3);
    Student student3= new Student("Rita",4);

    Student [] students = new Student[] {student,student1,student2,student3};


    @Test
    public void testImplementation(){
        Assert.assertTrue(instructor instanceof Teacher);
    }

    @Test
    public void testInheritance(){
        Assert.assertTrue(instructor instanceof Person);
    }

    @Test
    public void testTeach(){
        student.setTotalStudyTime(2.0);
        instructor.teach(student,50.0);

        double expected = 52.0;

       /* double actual = student.getTotalStudyTime();
        Assert.assertEquals(expected,actual,0.0);*/

        Assert.assertEquals(expected, student.getTotalStudyTime(), 0.0);
    }

    @Test
    public void testLecture(){

        double numOfHrs = 50.0;

        instructor.lecture(students, 50.0);
        double expected = students[0].getTotalStudyTime();

       double actual = 12.5; // numOfHrs instructor taught / # of students taught so 50/4 = 12.5


        Assert.assertEquals(expected, actual, 0.01);
    }
}
