package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestZipCodeWilmington {

    @Test
    public void hostLecture(){
        ZipcodeWilmington zcw = ZipcodeWilmington.getInstance();
        Instructor instructor = zcw.getInstructors().getArray()[0];
        zcw.hostLecture(instructor, 39);
        double expected = 2;
        double actual = zcw.getStudents().getArray()[0].getTotalStudyTime();

        Assert.assertEquals(expected,actual, .1);
        }

    @Test
    public void hostLectureById(){
        ZipcodeWilmington zcw = ZipcodeWilmington.getInstance();
        Instructor instructor = zcw.getInstructors().getArray()[0];
        zcw.hostLecture(instructor.getId(),39);
        double expected = 1;
        double actual = zcw.getStudents().getArray()[0].getTotalStudyTime();

        Assert.assertEquals(expected,actual,.1);

    }
}
